PLaSK library

Loading...
Searching...
No Matches
Public Types | Public Member Functions | Public Attributes | List of all members
plask::ExtrudedTriangularMesh3D::Elements Class Reference

Wrapper to ExtrudedTriangularMesh3D which allows for accessing FEM-like elements. More...

`#include <plask/mesh/extruded_triangular3d.hpp>`

Collaboration diagram for plask::ExtrudedTriangularMesh3D::Elements:
[legend]

## Public Types
typedef IndexedIterator< const ExtrudedTriangularMesh3D, Element, deref > | const_iterator
typedef const_iterator | iterator

## Public Member Functions
| Elements (const ExtrudedTriangularMesh3D &mesh)
Element | at (std::size_t index) const
Element | operator[] (std::size_t index) const
std::size_t | size () const
| Get number of elements (right triangular prisms) in the mesh.
bool | empty () const
const_iterator | begin () const
const_iterator | end () const

## Public Attributes
const ExtrudedTriangularMesh3D * | mesh

## Detailed Description

Wrapper to ExtrudedTriangularMesh3D which allows for accessing FEM-like elements.

It works like read-only, random access container of Element objects.

Definition at line 136 of file extruded_triangular3d.hpp.

## Member Typedef Documentation

## ◆ const_iterator

typedef IndexedIterator<const ExtrudedTriangularMesh3D, Element, deref> plask::ExtrudedTriangularMesh3D::Elements::const_iterator

Definition at line 140 of file extruded_triangular3d.hpp.

## ◆ iterator

typedef const_iterator plask::ExtrudedTriangularMesh3D::Elements::iterator

Definition at line 141 of file extruded_triangular3d.hpp.

## Constructor & Destructor Documentation

## ◆ Elements()

plask::ExtrudedTriangularMesh3D::Elements::Elements | ( | const ExtrudedTriangularMesh3D & | mesh | ) |
| inline explicit

Definition at line 145 of file extruded_triangular3d.hpp.

## Member Function Documentation

## ◆ at()

Element plask::ExtrudedTriangularMesh3D::Elements::at | ( | std::size_t | index | ) | const
| inline

Definition at line 147 of file extruded_triangular3d.hpp.

## ◆ begin()

const_iterator plask::ExtrudedTriangularMesh3D::Elements::begin | ( |  | ) | const
| inline

Returns
  iterator referring to the first element

Definition at line 166 of file extruded_triangular3d.hpp.

## ◆ empty()

bool plask::ExtrudedTriangularMesh3D::Elements::empty | ( |  | ) | const
| inline

Definition at line 163 of file extruded_triangular3d.hpp.

## ◆ end()

const_iterator plask::ExtrudedTriangularMesh3D::Elements::end | ( |  | ) | const
| inline

Returns
  iterator referring to the past-the-end element

Definition at line 169 of file extruded_triangular3d.hpp.

## ◆ operator[]()

Element plask::ExtrudedTriangularMesh3D::Elements::operator[] | ( | std::size_t | index | ) | const
| inline

Definition at line 153 of file extruded_triangular3d.hpp.

## ◆ size()

std::size_t plask::ExtrudedTriangularMesh3D::Elements::size | ( |  | ) | const
| inline

Get number of elements (right triangular prisms) in the mesh.

Returns
  number of elements

Definition at line 161 of file extruded_triangular3d.hpp.

## Member Data Documentation

## ◆ mesh

const ExtrudedTriangularMesh3D* plask::ExtrudedTriangularMesh3D::Elements::mesh

Definition at line 143 of file extruded_triangular3d.hpp.

The documentation for this class was generated from the following file:

- plask/mesh/extruded_triangular3d.hpp